<?
/**********************************************************************************************
Classe FTP - executa comandos no servidor FTP
**********************************************************************************************/


	class ftp{
		var $ftp_server;
		var $ftp_user_name;
		var $ftp_user_pass;
		var $dir_rem;
		var $conn_id;


//-------------------------CONECTA AO SERVER--------------------------------------------------
		function ftp($dir,$conf_server,$conf_user_name,$conf_pass){
			$this-> ftp_server = $conf_server;
			$this-> ftp_user_name = $conf_user_name;
			$this-> ftp_user_pass = $conf_pass;
			$this-> dir_rem =$dir;
			// abre a conexo com o servidor ftp
			$this->conn_id = ftp_connect($this->ftp_server);

			// login e senha do usurio
//			$login_result = ftp_login($this->conn_id, $this->ftp_user_name, $this->ftp_user_pass);

			// verifica a conexo ao servidor de ftp
			if ((!$this->conn_id) || (!$login_result)) {
				return  false;

			} else {
				ftp_chdir ( $this->conn_id,$this->dir_rem);
				return true;
			}

		}

//-------------------------ENVIAR ARQUIVO----------------------------------------------------
		function sobe_arq($arq_origem,$arq_destino){

			// envio do arquivo
			$upload = ftp_put($this->conn_id, $arq_origem, $arq_destino, FTP_BINARY);

			// verifica se o arquivo foi enviado com sucesso
			if ($upload) {
				return true;
			} else {
				return false;
			}
		}


//-------------------------CRIAR DIRETORIO--------------------------------------------------
		function cria_dir($diretorio){

			// envio do arquivo
			$upload = ftp_mkdir ($this->conn_id , $diretorio);

			// verifica se o arquivo foi enviado com sucesso
			if ($upload) {
				return true;
			} else {
				return false;
			}
		}

//-------------------------CRIAR ARQUIVO-----------------------------------------------------
		function cria_arq($nome,$origem){

			$upload = ftp_put ($this->conn_id, $nome, $origem, FTP_ASCII);
			if ($upload) {
				return true;
			} else {
				return false;
			}
		}
//-------------------------LISTAR ARQUIVOS---------------------------------------------------
          function lista_dir($diretorio,$diretorio2){
               $arr_dir=ftp_nlist ($this->conn_id,"");
				if($arr_dir){
               		return $arr_dir;
				}else{

					//caso a funo nlist() retorne erro listar os arquivos atravs das funes de diretrio

					if ($dir = @opendir("$diretorio2")) {
						$i=0;
						while (($file = readdir($dir)) !== false) {
							$arr_dir[$i]=$file;
							$i++;
						}
						closedir($dir);
					}
               		return $arr_dir;
				}
          }

//-------------------------RENOMEAR ARQUIVOS-------------------------------------------------
          function renomear($de,$para){
               ftp_rename ($this->conn_id,$de,$para);
          }

//-------------------------REMOVER ARQUIVOS--------------------------------------------------
          function remover($nome){
               ftp_delete ($this->conn_id,$nome);
          }
//-------------------------REMOVER DIRETRIOS------------------------------------------------
          function remover_dir($nome){
               ftp_rmdir ($this->conn_id,$nome);
          }

//-------------------------TAMANHO DO ARQUIVO EM BYTES----------------------------------------
          function tamanho($nome){
               $tamanho =ftp_size ($this->conn_id,$nome);
               return $tamanho;
          }

//-------------------------FECHA CONEXO-----------------------------------------------------
		function fecha(){
//			ftp_close($this->conn_id);
		}
	}

?>